Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2757293002: Android: Add APK patch size estimates to resource_sizes.py. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months ago by estevenson
Modified:
7 months ago
Reviewers:
agrieve
CC:
chromium-reviews, mikecase+watch_chromium.org, jbudorick+watch_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Android: Add APK patch size estimates to resource_sizes.py. APK patch size estimates will be used on certain perf builders, and will track estimated patch size based on a reference APK (built by the same builder) for the current milestone. BUG=695188 Review-Url: https://codereview.chromium.org/2757293002 Cr-Commit-Position: refs/heads/master@{#458181} Committed: https://chromium.googlesource.com/chromium/src/+/d5240cc0a6bd41103e36d53cd56de9994bec89d4

Patch Set 1 #

Patch Set 2 : Comment reference APK naming convention #

Patch Set 3 : Comment patch-size estimating slowness #

Total comments: 4

Patch Set 4 : Fix import & make args descriptive #

Unified diffs Side-by-side diffs Delta from patch set Stats (+78 lines, -74 lines) Patch
A build/android/binary_size/__init__.py View 1 chunk +3 lines, -0 lines 0 comments Download
A + build/android/binary_size/apk_downloader.py View 2 chunks +4 lines, -0 lines 0 comments Download
A build/android/binary_size/apks/README.md View 1 chunk +24 lines, -0 lines 0 comments Download
D build/android/binary_size/update_apks.py View 1 chunk +0 lines, -71 lines 0 comments Download
M build/android/resource_sizes.py View 1 2 3 6 chunks +40 lines, -0 lines 0 comments Download
M third_party/apk-patch-size-estimator/README.chromium View 1 chunk +2 lines, -1 line 0 comments Download
M third_party/apk-patch-size-estimator/apk_patch_size_estimator.py View 2 chunks +5 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 12 (5 generated)
estevenson
ptal Andrew!
7 months ago (2017-03-20 16:55:25 UTC) #2
agrieve
Exciting stuff! https://codereview.chromium.org/2757293002/diff/40001/build/android/resource_sizes.py File build/android/resource_sizes.py (right): https://codereview.chromium.org/2757293002/diff/40001/build/android/resource_sizes.py#newcode54 build/android/resource_sizes.py:54: import apk_patch_size_estimator as patch_size # pylint: disable=import-error ...
7 months ago (2017-03-20 17:53:40 UTC) #3
agrieve
On 2017/03/20 17:53:40, agrieve wrote: > Exciting stuff! > > https://codereview.chromium.org/2757293002/diff/40001/build/android/resource_sizes.py > File build/android/resource_sizes.py (right): ...
7 months ago (2017-03-20 17:53:50 UTC) #4
estevenson
https://codereview.chromium.org/2757293002/diff/40001/build/android/resource_sizes.py File build/android/resource_sizes.py (right): https://codereview.chromium.org/2757293002/diff/40001/build/android/resource_sizes.py#newcode54 build/android/resource_sizes.py:54: import apk_patch_size_estimator as patch_size # pylint: disable=import-error On 2017/03/20 ...
7 months ago (2017-03-20 18:02:37 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2757293002/60001
7 months ago (2017-03-20 19:52:04 UTC) #8
commit-bot: I haz the power
Committed patchset #4 (id:60001) as https://chromium.googlesource.com/chromium/src/+/d5240cc0a6bd41103e36d53cd56de9994bec89d4
7 months ago (2017-03-20 21:08:02 UTC) #11
estevenson
6 months, 4 weeks ago (2017-03-21 14:26:12 UTC) #12
Message was sent while issue was closed.
A revert of this CL (patchset #4 id:60001) has been created in
https://codereview.chromium.org/2764923002/ by estevenson@chromium.org.

The reason for reverting is: Didn't update arg names properly..
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa